HanMacWrdKGraphInternal::SubDocument Class Reference documentation

Public Types | Public Member Functions | Protected Attributes | Private Member Functions | List of all members
HanMacWrdKGraphInternal::SubDocument Class Referencefinal

Internal: the subdocument of a HanMacWrdKGraph. More...

Inheritance diagram for HanMacWrdKGraphInternal::SubDocument:

## Public Types
enum | Type { Picture , FrameInFrame , Group , Text , UnformattedTable , EmptyPicture }
| the document type More...

## Public Member Functions
| SubDocument (HanMacWrdKGraph &pars, MWAWInputStreamPtr const &input, Type type, long id, long subId=0)
| constructor More...
| SubDocument (HanMacWrdKGraph &pars, MWAWInputStreamPtr const &input, MWAWPosition const &pos, Type type, long id, long subId=0)
| constructor More...
| ~SubDocument () final
| destructor More...
bool | operator!= (MWAWSubDocument const &doc) const final
| operator!= More...
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type) final
| the parser function More...
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr const &ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input More...
| MWAWSubDocument (MWAWSubDocument const &doc)=default
| copy constructor More...
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)=default
| copy operator More...
virtual | ~MWAWSubDocument ()
| virtual destructor More...
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator== More...
bool | operator!= (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!= More...
bool | operator== (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator== More...

## Protected Attributes
HanMacWrdKGraph * | m_graphParser
| the graph parser More...
Type | m_type
| the zone type More...
long | m_id
| the zone id More...
long | m_subId
| the zone subId ( for table cell ) More...
MWAWPosition | m_pos
| the position in a frame More...
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser More...
std::shared_ptr< MWAWInputStream > | m_input
| the input More...
MWAWEntry | m_zone
| if valid the zone to parse More...

## Private Member Functions
| SubDocument (SubDocument const &orig)=delete
SubDocument & | operator= (SubDocument const &orig)=delete

## Detailed Description

Internal: the subdocument of a HanMacWrdKGraph.

## Member Enumeration Documentation

## ◆ Type

enum HanMacWrdKGraphInternal::SubDocument::Type

the document type

Enumerator
Picture |
FrameInFrame |
Group |
Text |
UnformattedTable |
EmptyPicture |

## Constructor & Destructor Documentation

## ◆ SubDocument() [1/3]

HanMacWrdKGraphInternal::SubDocument::SubDocument | ( | HanMacWrdKGraph & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | Type | type,
|  | long | id,
|  | long | subId = `0`
| ) |  |
| inline

constructor

## ◆ SubDocument() [2/3]

HanMacWrdKGraphInternal::SubDocument::SubDocument | ( | HanMacWrdKGraph & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | MWAWPosition const & | pos,
|  | Type | type,
|  | long | id,
|  | long | subId = `0`
| ) |  |
| inline

constructor

## ◆ ~SubDocument()

HanMacWrdKGraphInternal::SubDocument::~SubDocument | ( |  | ) |
| inlinefinal

destructor

## ◆ SubDocument() [3/3]

HanMacWrdKGraphInternal::SubDocument::SubDocument | ( | SubDocument const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ operator!=()

bool HanMacWrdKGraphInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const
| finalvirtual

operator!=

Reimplemented from MWAWSubDocument.

## ◆ operator=()

SubDocument& HanMacWrdKGraphInternal::SubDocument::operator= | ( | SubDocument const & | orig | ) |
| privatedelete

## ◆ parse()

void HanMacWrdKGraphInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type
| ) |  |
| finalvirtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## ◆ m_graphParser

HanMacWrdKGraph* HanMacWrdKGraphInternal::SubDocument::m_graphParser
| protected

the graph parser

## ◆ m_id

long HanMacWrdKGraphInternal::SubDocument::m_id
| protected

the zone id

## ◆ m_pos

MWAWPosition HanMacWrdKGraphInternal::SubDocument::m_pos
| protected

the position in a frame

## ◆ m_subId

long HanMacWrdKGraphInternal::SubDocument::m_subId
| protected

the zone subId ( for table cell )

## ◆ m_type

Type HanMacWrdKGraphInternal::SubDocument::m_type
| protected

the zone type

The documentation for this class was generated from the following file:

- HanMacWrdKGraph.cxx